﻿<?xml version="1.0" encoding="utf-8"?>
<Application xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             xmlns:d="http://xamarin.com/schemas/2014/forms/design"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
             xmlns:behaviors="clr-namespace:MyShop.Behaviors"
             mc:Ignorable="d"
             x:Class="MyShop.App">
    <Application.Resources>

        <ResourceDictionary>
            
            <!--*************************************************************-->
            <!-- Add font -->
            <!--*************************************************************-->
            <OnPlatform x:TypeArguments="x:String" x:Key="BoldFont">
                <On Platform="Android" Value="Lato-Bold.ttf#Lato Sans" />
                <On Platform="iOS" Value="Lato-Bold" />
            </OnPlatform>
            <OnPlatform x:TypeArguments="x:String" x:Key="NormalFont">
                <On Platform="Android" Value="Lato-Regular.ttf#Lato Sans" />
                <On Platform="iOS" Value="Lato-Regular" />
            </OnPlatform>

            <OnPlatform x:TypeArguments="x:String" x:Key="NormalFontAnton">
                <On Platform="Android" Value="Anton-Regular.ttf#Anton Sans" />
                <On Platform="iOS" Value="Anton-Regular" />
            </OnPlatform>

            <!--*************************************************************-->
            <!-- Add global key-->
            <!--*************************************************************-->
            <Color x:Key="NavigationPrimary">#2196F3</Color>
            <Color x:Key="PrimaryColor">Purple</Color>
            <Color x:Key="ErrorColor">#ff5252</Color>
            <!--*****https://stackoverflow.com/questions/23201134/transparent-argb-hex-value ****-->
            <Color x:Key="BlackTransparent">#E6111111</Color>
            <Color x:Key="ColorWhite">#FFFFFF</Color>
            <OnPlatform x:Key="LargeSize" x:TypeArguments="x:Double">
                <On Platform="iOS" Value="16" />
                <On Platform="Android" Value="18" />
            </OnPlatform>
            <OnPlatform x:Key="LittleSize"
                        x:TypeArguments="x:Double">
                <On Platform="iOS" Value="11" />
                <On Platform="Android" Value="12" />
            </OnPlatform>

            <!--*************************************************************-->
            <!--Global Styles-->
            <!--*************************************************************-->

            <!-- EXPLICIT STYLES -->
            <Style x:Key="ValidationErrorLabelStyle"
                   TargetType="{x:Type Label}">
                   <Setter Property="TextColor"
                           Value="{StaticResource ErrorColor}" />
                   <Setter Property="FontSize"
                           Value="{StaticResource LittleSize}" />
            </Style>

            <Style x:Key="EntryStyle"
                   TargetType="{x:Type Entry}">

                <Setter Property="FontFamily"
                        Value="{StaticResource NormalFont}" />
                <Setter Property="TextColor"
                        Value="{StaticResource PrimaryColor}" />
                <Setter Property="PlaceholderColor"
                        Value="{StaticResource PrimaryColor}" />
                <Setter Property="FontSize"
                        Value="{StaticResource LargeSize}" />
                <Setter Property="HorizontalOptions"
                        Value="FillAndExpand" />
                <Setter Property="FontAttributes"
                        Value="Bold" />
                <Setter Property="BackgroundColor" 
                        Value="Transparent" />
                <Setter Property="Opacity"
                        Value="0.6" />
                <Setter Property="behaviors:LineColorBehavior.ApplyLineColor"
                        Value="True" />
                <Setter Property="behaviors:LineColorBehavior.LineColor"
                        Value="{StaticResource PrimaryColor}" />
                <Style.Triggers>
                    <Trigger TargetType="Entry"
                             Property="IsFocused" 
                             Value="True">
                        <Setter Property="Opacity" Value="1" />
                    </Trigger>
                </Style.Triggers>
            </Style>
            
            <Style TargetType="NavigationPage">
                <Setter Property="BarBackgroundColor" Value="{StaticResource NavigationPrimary}" />
                <Setter Property="BarTextColor" Value="White" />
            </Style>

            <Style TargetType="Label" >
                <Setter Property="FontFamily" Value="{StaticResource NormalFont}" />
            </Style>
        </ResourceDictionary>
    </Application.Resources>
</Application>